> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runonatlas.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get customers

> Get a paginated list of customers.



## OpenAPI

````yaml https://platform.runonatlas.com/external/schema get /external/customers
openapi: 3.0.0
info:
  title: Atlas API
  version: 1.0.0
servers:
  - url: https://platform.runonatlas.com
security: []
paths:
  /external/customers:
    get:
      tags:
        - Customers
      summary: Get customers
      description: Get a paginated list of customers.
      parameters:
        - schema:
            type: string
            minLength: 1
            description: >-
              The external ID of the customer (e.g. the customer ID in your
              system)
            example: external-customer-id-123
          required: false
          description: >-
            The external ID of the customer (e.g. the customer ID in your
            system)
          name: externalId
          in: query
        - schema:
            type: string
            minLength: 1
            description: The Atlas customer ID
            example: atlas-internal-customer-id-123
          required: false
          description: The Atlas customer ID
          name: id
          in: query
        - schema:
            type: string
            minLength: 1
            description: The QuickBooks ID of the customer
            example: quickbooks-customer-id-123
          required: false
          description: The QuickBooks ID of the customer
          name: quickBooksId
          in: query
        - schema:
            type: string
            minLength: 1
            description: The Stripe ID of the customer
            example: stripe-customer-id-123
          required: false
          description: The Stripe ID of the customer
          name: stripeId
          in: query
        - schema:
            type: string
            minLength: 1
            format: email
            description: The email of the customer
            example: john.doe@example.com
          required: false
          description: The email of the customer
          name: email
          in: query
        - schema:
            type: string
            minLength: 1
            description: The name of the customer
            example: John Doe
          required: false
          description: The name of the customer
          name: name
          in: query
        - schema:
            type: string
            enum:
              - asc
              - desc
            default: asc
            description: The order of the results.
            example: asc
          required: false
          description: The order of the results.
          name: order
          in: query
        - schema:
            type: integer
            minimum: 1
            default: 1
            description: The page number of the results.
            example: 1
          required: false
          description: The page number of the results.
          name: page
          in: query
        - schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 10
            description: The number of results per page.
            example: 10
          required: false
          description: The number of results per page.
          name: pageSize
          in: query
        - schema:
            type: string
            enum:
              - createdAt
              - email
              - id
              - name
              - quickBooksId
              - stripeId
              - updatedAt
            default: id
            description: The fields that can be used to order the results by.
            example: id
          required: false
          description: The fields that can be used to order the results by.
          name: orderBy
          in: query
      responses:
        '200':
          description: The customers that have been retrieved.
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        billingAddress1:
                          type: string
                          nullable: true
                          minLength: 1
                          description: Billing address line 1
                          example: 123 Main St
                        billingAddress2:
                          type: string
                          nullable: true
                          minLength: 1
                          description: Billing address line 2
                          example: Apt 1
                        billingCity:
                          type: string
                          nullable: true
                          minLength: 1
                          description: Billing city
                          example: Anytown
                        billingCountry:
                          type: string
                          nullable: true
                          minLength: 1
                          description: Billing country
                          example: US
                        billingState:
                          type: string
                          nullable: true
                          minLength: 1
                          description: Billing state
                          example: CA
                        billingZipCode:
                          type: string
                          nullable: true
                          pattern: ^\d{5}(-\d{4})?$
                          description: Billing zip code. Must be 5 digits or 5+4 format.
                          example: '12345'
                        shippingAddress1:
                          type: string
                          nullable: true
                          minLength: 1
                          description: Shipping address line 1
                          example: 123 Main St
                        shippingAddress2:
                          type: string
                          nullable: true
                          minLength: 1
                          description: Shipping address line 2
                          example: Apt 1
                        shippingCity:
                          type: string
                          nullable: true
                          minLength: 1
                          description: Shipping city
                          example: Anytown
                        shippingCountry:
                          type: string
                          nullable: true
                          minLength: 1
                          description: Shipping country
                          example: US
                        shippingState:
                          type: string
                          nullable: true
                          minLength: 1
                          description: Shipping state
                          example: CA
                        shippingZipCode:
                          type: string
                          nullable: true
                          pattern: ^\d{5}(-\d{4})?$
                          description: Shipping zip code. Must be 5 digits or 5+4 format.
                          example: '12345'
                        createdAt:
                          type: string
                          format: date
                          description: The date and time the customer was created
                          example: '2021-01-01T00:00:00.000Z'
                        email:
                          type: string
                          nullable: true
                          minLength: 1
                          format: email
                          description: The email of the customer
                          example: john.doe@example.com
                        externalId:
                          type: string
                          nullable: true
                          minLength: 1
                          description: >-
                            The external ID of the customer (e.g. the customer
                            ID in your system)
                          example: external-customer-id-123
                        id:
                          type: string
                          minLength: 1
                          description: The Atlas customer ID
                          example: atlas-internal-customer-id-123
                        name:
                          type: string
                          nullable: true
                          minLength: 1
                          description: The name of the customer
                          example: John Doe
                        updatedAt:
                          type: string
                          format: date
                          description: The date and time the customer was last updated
                          example: '2021-01-01T00:00:00.000Z'
                        quickBooksId:
                          type: string
                          nullable: true
                          minLength: 1
                          description: The QuickBooks ID of the customer
                          example: quickbooks-customer-id-123
                        stripeId:
                          type: string
                          nullable: true
                          minLength: 1
                          description: The Stripe ID of the customer
                          example: stripe-customer-id-123
                        merchantId:
                          type: string
                          minLength: 1
                          description: The Atlas merchant ID
                          example: atlas-internal-merchant-id-123
                      required:
                        - createdAt
                        - id
                        - updatedAt
                        - merchantId
                  count:
                    type: number
                    description: The total number of results.
                    example: 100
                  pages:
                    type: number
                    description: The total number of pages.
                    example: 10
                  currentPage:
                    type: number
                    description: The current page number.
                    example: 1
                required:
                  - results
                  - count
                  - pages
                  - currentPage
        '400':
          description: >-
            There is an issue with the request data. See the response for more
            details.
        '401':
          description: Invalid API key provided.
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      name: x-api-key
      in: header
      description: >-
        You can obtain this key from the Atlas dashboard. It must be of type
        `secret`

````